/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package beaconconfig;
import java.awt.*;

class Node extends Point 
{
    public Node(int x, int y)
    {
	super(x, y);
    }
    
    public boolean clickedOn(int x, int y, int tolerance)
    {
	Util.assert_nonjava(false, "Node::clickedOn() is deprecated");
	return 
	    Math.abs(this.x - x) < tolerance &&
	    Math.abs(this.y - y) < tolerance;
    }

    public Object clone()
    {
	return new Node(x, y);
    }

    public Vertex draw(Graphics g, DrawingArea drawArea) 
    {
	Vertex v = drawArea.invTransformStatic(x, y);
	g.drawString("("+Util.textOf(v.x, 2)+", "+Util.textOf(v.y, 2)+")",
		     Math.round((float)(x+5)),
		     Math.round((float)(y+5)));

	g.fillOval(x - DrawingArea.nodeSizeDiv2, 
		   y - DrawingArea.nodeSizeDiv2, 
		   DrawingArea.nodeSize, 
		   DrawingArea.nodeSize);
	return (Vertex) v.clone();
    }

}
